ResourcesAdd-ons

Replace an add-on

Replace the supplied fields on an add-on.

PUT
/v2/addons/{addon}

Authorization

bearerAuth storeAuth
AuthorizationBearer <token>

Provide your SellApp API key as a bearer token.

In: header

X-STORE<token>

Select the SellApp store for this API request.

In: header

Path Parameters

addon*integer

The addon path parameter.

Request Body

application/json

TypeScript Definitions

Use the request body type in TypeScript.

Response Body

application/json

application/json

application/json

application/json

application/json

curl -X PUT "https://sell.app/api/v2/addons/0" \  -H "Content-Type: application/json" \  -d '{    "description": "Priority email and chat support for this purchase.",    "is_draft": false  }'
{
  "data": {
    "id": 410,
    "store_id": 12,
    "title": "Priority support",
    "slug": "priority-support",
    "description": "Priority email support for this purchase.",
    "visibility": "PUBLIC",
    "type": "addon",
    "is_draft": true,
    "is_discoverable": false,
    "parent_product_ids": [
      120,
      121
    ],
    "variants": [],
    "created_at": "2026-07-11T12:00:00.000000Z",
    "updated_at": "2026-07-11T12:00:00.000000Z",
    "deleted_at": null
  }
}
{
  "message": "Unauthenticated."
}
{
  "message": "This action is unauthorized."
}
{
  "message": "Rule not found."
}
{
  "message": "The given data was invalid.",
  "errors": {
    "data": [
      "The data field is required."
    ]
  }
}